Skip to content

# Interface: MenuProps

## Hierarchy

- MenuProps

## Index

### Properties

- autoFocus
- children
- className
- closeOnClickItem
- closeOnClickOutside
- closeOnScroll
- htmlFor
- id
- isOpen
- position
- toggleEvent
- usePortal

### Methods

- close
- open

## Properties

### `Optional` autoFocus

• autoFocus? : boolean

Defined in src/renderer/components/menu/menu.tsx:27

### `Optional` children

• children? : ReactNode

Defined in src/renderer/components/menu/menu.tsx:33

### `Optional` className

• className? : string

Defined in src/renderer/components/menu/menu.tsx:25

### `Optional` closeOnClickItem

• closeOnClickItem? : boolean

Defined in src/renderer/components/menu/menu.tsx:29

### `Optional` closeOnClickOutside

• closeOnClickOutside? : boolean

Defined in src/renderer/components/menu/menu.tsx:30

### `Optional` closeOnScroll

• closeOnScroll? : boolean

Defined in src/renderer/components/menu/menu.tsx:31

### `Optional` htmlFor

• htmlFor? : string

Defined in src/renderer/components/menu/menu.tsx:26

### `Optional` id

• id? : string

Defined in src/renderer/components/menu/menu.tsx:24

### `Optional` isOpen

• isOpen? : boolean

Defined in src/renderer/components/menu/menu.tsx:21

### `Optional` position

• position? : MenuPosition

Defined in src/renderer/components/menu/menu.tsx:32

### `Optional` toggleEvent

• toggleEvent? : "click" | "contextmenu"

Defined in src/renderer/components/menu/menu.tsx:34

### `Optional` usePortal

• usePortal? : boolean | HTMLElement

Defined in src/renderer/components/menu/menu.tsx:28

## Methods

### close

▸ close(): void

Defined in src/renderer/components/menu/menu.tsx:23

Returns: void

### open

▸ open(): void

Defined in src/renderer/components/menu/menu.tsx:22

Returns: void